package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.WcxRegionProjectDto;
import cn.com.countrygarden.bi.main.model.twerp.ErpCommunity;

import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Created by Administrator on 2018/6/19.
 */
public interface WcxRegionProjectMapper {
    WcxRegionProjectDto selectOne(WcxRegionProjectDto condition);

    /**
     * 获取获奖提名最多的区域
     * @param startDate
     * @param endDate
     * @return
     */
    List<WcxRegionProjectDto> selectBestPassNumberRegion(@Param("startDate") Date startDate, @Param("endDate") Date endDate);
    /**
     * 获取获奖提名最多的项目
     * @param startDate
     * @param endDate
     * @return
     */
    List<WcxRegionProjectDto> selectBestPassNumberProject(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

    /**
     * 查询所有的区域
     * @param isSelectProjectNameBlank 是否查询项目名为空的项 0:不查询,1:查询
     * @return
     */
    List<WcxRegionProjectDto> selectAll(String isSelectProjectNameBlank);

    /**
     * 匹配项目名称更新对应区域名称
     * @param regionName
     */
    void updateRegionNameByProjectName(@Param("projectName") String projectName, @Param("projectName") String regionName);

    /**
     * 匹配项目名称更新对应区域名称
     * @param regionName
     */
    Integer updateRegionNameByRegionProjectId(@Param("regionProjectId") String regionProjectId, @Param("regionName") String regionName);

    /**
     * 获取所有的nc区域
     * @return
     */
    List<WcxRegionProjectDto> findAllNCRegion();
    
    List<WcxRegionProjectDto> findAllRoleOrganCode(@Param("regionName") String regionName);

    /**
     * 获取所有的nc项目
     * @return
     */
    List<WcxRegionProjectDto> findNCProject(String regionName);

    /**
     * 通过nc项目名获取erp项目名
     * @param ncProjectName
     */
    String findErpProjectName(String ncProjectName);

    /**
     * 通过nc项目名称获取erp项目名称
     * @param ncProjectName
     * @return
     */
    String getErpProjectName(String ncProjectName);
}
